#
# spec file for package patterns-openSUSE
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-fonts
Version:        20190130
Release:        lp155.2.4
Summary:        Patterns for Installation (Fonts)
License:        MIT
Group:          Metapackages
Url:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros


%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains the Fonts patterns.

################################################################################

%package fonts
%pattern_graphicalenvironments
Summary:        Fonts
Group:          Metapackages
Provides:       pattern() = fonts
Provides:       pattern-icon() = pattern-x11
Provides:       pattern-order() = 1700
Provides:       pattern-visible()
%if 0%{?is_opensuse}
Provides:       patterns-openSUSE-fonts = %{version}
Obsoletes:      patterns-openSUSE-fonts < %{version}
%else
Provides:       patterns-sled-fonts
Obsoletes:      patterns-sled-fonts < %{version}
%endif
Requires:       pattern() = basesystem
%if 0%{?is_opensuse}
Recommends:     pattern() = fonts_opt
%endif

Requires:       xorg-x11-fonts-core

Recommends:     alee-fonts
Recommends:     baekmuk-bitmap-fonts
Recommends:     baekmuk-ttf-fonts
Recommends:     dejavu-fonts
Recommends:     efont-unicode-bitmap-fonts
Recommends:     FZMingTiB
Recommends:     FZSongTi
Recommends:     ghostscript-fonts-other
Recommends:     ghostscript-fonts-std
Recommends:     gnu-free-font
Recommends:     google-caladea-fonts
Recommends:     google-carlito-fonts
Recommends:     google-symbolneu-fonts
Recommends:     intlfonts-arabic-bitmap-fonts
Recommends:     intlfonts-chinese-big-bitmap-fonts
Recommends:     intlfonts-chinese-bitmap-fonts
Recommends:     intlfonts-euro-bitmap-fonts
Recommends:     intlfonts-japanese-big-bitmap-fonts
Recommends:     intlfonts-japanese-bitmap-fonts
Recommends:     khmeros-fonts
Recommends:     xorg-x11-fonts

%if 0%{?is_opensuse}
Recommends:     google-roboto-fonts
# needed for instsys
Suggests:       ipa-gothic-fonts
Suggests:       ipa-mincho-fonts
Suggests:       ipa-pgothic-fonts
Suggests:       ipa-pmincho-fonts
#IPAUIGothic
Suggests:       bitstream-vera-fonts
%endif

%description fonts
Base fonts and font configuration.

%files fonts
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/fonts.txt

################################################################################

%if 0%{?is_opensuse}
%package fonts_opt
%pattern_graphicalenvironments
Summary:        Fonts
Group:          Metapackages
Provides:       pattern() = fonts_opt
Provides:       pattern-extends() = fonts
Provides:       pattern-icon() = pattern-x11
Provides:       pattern-order() = 1720

Recommends:     adobe-sourcecodepro-fonts
Recommends:     adobe-sourcesanspro-fonts
Recommends:     adobe-sourceserifpro-fonts
Recommends:     efont-unicode-bitmap-fonts
Recommends:     ghostscript-fonts-other
Recommends:     google-droid-fonts
Recommends:     noto-sans-fonts
Recommends:     stix-fonts
Recommends:     texlive-lm-fonts
Recommends:     xorg-x11-fonts

%description fonts_opt
Base fonts and font configuration.

%files fonts_opt
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/fonts_opt.txt
%endif

################################################################################

%prep

%build

%install
mkdir -p %{buildroot}%{_defaultdocdir}/patterns/

echo "This file marks the pattern fonts to be installed." \
	>"%{buildroot}/%{_defaultdocdir}/patterns/fonts.txt"
%if 0%{?is_opensuse}
echo "This file marks the pattern fonts_opt to be installed." \
	>"%{buildroot}/%{_defaultdocdir}/patterns/fonts_opt.txt"
%endif

%changelog
* Tue Jan 29 2019 Simon Lees <sflees@suse.de>
- Version: 20190130
- do not recommend liberation2-fonts, it is dead [bsc#1077375] [rh#856239]
- drop intlfonts from fonts_opt, it only contains documentation, but
  no font data.
* Wed Dec 12 2018 lslezak@suse.cz
- Updated pattern icons (related to bsc#1109310)
* Fri Dec  8 2017 sflees@suse.de
- Version: 20171206
- Add obsoletes across all patterns (bsc#1071761)
* Thu Sep 21 2017 sflees@suse.de
- Merge in SLE patterns
* Mon Apr 10 2017 jengelh@inai.de
- Use macros over old $RPM shell vars.
  Change to a sh loop for creating minimally different text files.
* Thu Mar 16 2017 sflees@suse.de
- Create new package from old unified patterns package
